Subject: Re: 6" jointers

From: bandrew <[email-masked]>
Date: Mon, 27 Jan 1997 20:49:35 -0800

[email-masked] wrote:
> 
> Any experiences with recently purchased 6" jointers from:
> 
> Grizzly, Jet, or Delta?
> 
> Recomendations?
I purchased the 6 inch jointer from Delta a few months ago: I LOVE
IT!!!  I use it almost as much as my table saw.  Makes surface prep
easy.
The Delta was easy to assembly (only briefist ref to instructions :-) 
).
Very easy to adjust, use, and clean.  Quiet.

My only complaint:  I am not connected to central dust system -- tends
to clog up easily requiring me to un-clug (dangerous and inconvenient).

BUT, I would buy another in a minute, without hesitation!

bb